//Very simple shader to use the alpha channel of one shader with the colours
//of another.
//Used for the background 'tiles' in the game.

//If you're changing this, make sure you keep the two textures named base and
//second, since that's what's used in the Drawing code.
uniform sampler2D base, second;

void main()
{
	vec4 b = texture2D(base, gl_TexCoord[0].st);
	vec4 a = texture2D(second, gl_TexCoord[1].st);

	gl_FragColor = vec4(b.rgb, a.a * gl_Color.a);
}
